Search Deliveries

Returns all deliveries based on the given search filter criteria.

Below is an example request body payload for retrieving deliveries.

{
    "filters": {
          "order_type": "delivery",
          "start": "2021-10-02 13:00:00",
          "end": "2021-11-16 12:59:59",
          "status": ["delivered"],
          "locations": ["e1b43567-f8de-4145-8cfb-6dafcea0a4f8"],
          "external_id": "del_f8de41458cfb"
    }
}
payload propertytypedescription
order_typestring"delivery" is the only supported value.
starttimestampStart date and time of orders to be searched for. Timestamp must be specified in UTC.
endtimestampEnd date and time of orders to be searched for. Timestamp must be specified in UTC.
statusarrayFilters orders by status. Allowed values include

new: New order that is yet to be dispatched to a DSP.

accepted: Order accepted by the DSP. Awaiting driver to be assigned.

pickup: Driver on the way to the pickup location.

dropoff: Driver on the way to the customer dropoff address.

delivered: Completed delivery

canceled: Canceled delivery

returning: Driver returning an order back to the pickup location

returned: Returned delivery
(optional)
locationsarrayOrders that belong to the given list of location ids.
(optional) See List Locations for retrieving location ids.
external_idstringSearch an order based on the external id provided representing the order id from the 3rd party solution as a reference.
Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json